local vector2 = require("#microsoft.xna.framework.vector2")
local exCameraHelper = require("#Celeste.Mod.ExCameraDynamics.Code.Module.ExCameraInterop")
local cameraFocus = require("#Celeste.Mod.ExCameraDynamics.Code.Entities.CameraFocus")
local cameraZoomHooks = require("#Celeste.Mod.ExCameraDynamics.Code.Hooks.CameraZoomHooks")

function onBegin()

    disableMovement()
    disablePause ()

    wait(1.5)
    miniTextbox("WHE_NaCline_H_05")
    wait(2.5)
    miniTextbox("WHE_NaCline_H_06")
    wait(6)
    miniTextbox("WHE_NaCline_H_07")
    wait(3)

    setFlag("LuckyHelper_DisableCameraUpdateOnTeleportFlag",true)
    setFlag("LuckyHelper_DisablePlayerCameraUpdate",true)
    
    local level = getLevel()
    cameraZoomHooks.ForceCameraTo(level, cameraFocus.FromCenter(vector2(1936, 4324), 2))
    teleportTo(1917, 4360, "feel_04")

    enableMovement()
    endCutscene ()
	

end